com.fasterxml.jackson.databind.deser.std

## Class ArrayBlockingQueueDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.ContainerDeserializerBase<Collection<Object>>
      - - com.fasterxml.jackson.databind.deser.std.CollectionDeserializer
        - - com.fasterxml.jackson.databind.deser.std.ArrayBlockingQueueDeserializer

All Implemented Interfaces:
  ContextualDeserializer, NullValueProvider, ValueInstantiator.Gettable, Serializable

    public class ArrayBlockingQueueDeserializer
    extends CollectionDeserializer

We need a custom deserializer both because `ArrayBlockingQueue` has no default constructor AND because it has size limit used for constructing underlying storage automatically.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.CollectionDeserializer

`CollectionDeserializer.CollectionReferringAccumulator`

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.CollectionDeserializer

`_delegateDeserializer, _valueDeserializer, _valueInstantiator, _valueTypeDeserializer`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.ContainerDeserializerBase

`_containerType, _nullProvider, _skipNullValues, _unwrapSingle`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
`protected` `ArrayBlockingQueueDeserializer(ArrayBlockingQueueDeserializer src)` Copy-constructor that can be used by sub-classes to allow copy-on-write styling copying of settings of an existing instance.
`` `ArrayBlockingQueueDeserializer(JavaType containerType, JsonDeserializer<Object> valueDeser, TypeDeserializer valueTypeDeser, ValueInstantiator valueInstantiator)`
`protected` `ArrayBlockingQueueDeserializer(JavaType containerType, JsonDeserializer<Object> valueDeser, TypeDeserializer valueTypeDeser, ValueInstantiator valueInstantiator, JsonDeserializer<Object> delegateDeser, NullValueProvider nuller, Boolean unwrapSingle)` Constructor used when creating contextualized instances.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Collection<Object>` `_deserializeFromArray(JsonParser p, DeserializationContext ctxt, Collection<Object> result0)`
`protected Collection<Object>` `createDefaultInstance(DeserializationContext ctxt)`
`Object` `deserializeWithType(JsonParser p, DeserializationContext ctxt, TypeDeserializer typeDeserializer)` Base implementation that does not assume specific type inclusion mechanism.
`protected ArrayBlockingQueueDeserializer` `withResolved(JsonDeserializer<?> dd, JsonDeserializer<?> vd, TypeDeserializer vtd, NullValueProvider nuller, Boolean unwrapSingle)` Fluent-factory method call to construct contextual instance.

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.CollectionDeserializer

`_deserializeFromString, _deserializeNoNullChecks, _deserializeWithObjectId, _tryToAddNull, createContextual, deserialize, deserialize, getContentDeserializer, getValueInstantiator, handleNonArray, isCachable, logicalType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.ContainerDeserializerBase

`findBackReference, getContentType, getEmptyAccessPattern, getEmptyValue, getValueType, supportsUpdate, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_byteOverflow, _checkBooleanToStringCoercion, _checkCoercionFail, _checkDoubleSpecialValue, _checkFloatSpecialValue, _checkFloatToIntCoercion, _checkFloatToStringCoercion, _checkFromStringCoercion, _checkFromStringCoercion, _checkIntToFloatCoercion, _checkIntToStringCoercion, _checkTextualNull, _checkToStringCoercion, _coerceBooleanFromInt, _coercedTypeDesc, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeFromEmptyString, _deserializeFromString, _deserializeWrappedValue, _failDoubleToIntCoercion, _findCoercionFromBlankString, _findCoercionFromEmptyArray, _findCoercionFromEmptyString, _findNullProvider, _hasTextualNull, _intOverflow, _isBlank, _isEmptyOrTextualNull, _isFalse, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _isTrue, _neitherNull, _nonNullNumber, _parseBoolean, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDouble, _parseDouble, _parseDoublePrimitive, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseInteger, _parseInteger, _parseIntPrimitive, _parseIntPrimitive, _parseLong, _parseLong, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _parseString, _reportFailedNullCoerce, _shortOverflow, _streamReadConstraints, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleNestedArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserializeWithType, getAbsentValue, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayBlockingQueueDeserializer

    public ArrayBlockingQueueDeserializer(JavaType containerType,
                                          JsonDeserializer<Object> valueDeser,
                                          TypeDeserializer valueTypeDeser,
                                          ValueInstantiator valueInstantiator)

#### ArrayBlockingQueueDeserializer

    protected ArrayBlockingQueueDeserializer(JavaType containerType,
                                             JsonDeserializer<Object> valueDeser,
                                             TypeDeserializer valueTypeDeser,
                                             ValueInstantiator valueInstantiator,
                                             JsonDeserializer<Object> delegateDeser,
                                             NullValueProvider nuller,
                                             Boolean unwrapSingle)

Constructor used when creating contextualized instances.

#### ArrayBlockingQueueDeserializer

    protected ArrayBlockingQueueDeserializer(ArrayBlockingQueueDeserializer src)

Copy-constructor that can be used by sub-classes to allow copy-on-write styling copying of settings of an existing instance.

### Method Detail

#### withResolved

    protected ArrayBlockingQueueDeserializer withResolved(JsonDeserializer<?> dd,
                                                          JsonDeserializer<?> vd,
                                                          TypeDeserializer vtd,
                                                          NullValueProvider nuller,
                                                          Boolean unwrapSingle)

Fluent-factory method call to construct contextual instance.

Overrides:
  `withResolved` in class `CollectionDeserializer`

#### createDefaultInstance

    protected Collection<Object> createDefaultInstance(DeserializationContext ctxt)
                                                throws IOException

Overrides:
  `createDefaultInstance` in class `CollectionDeserializer`
Throws:
  `IOException`

#### _deserializeFromArray

    protected Collection<Object> _deserializeFromArray(JsonParser p,
                                                       DeserializationContext ctxt,
                                                       Collection<Object> result0)
                                                throws IOException

Overrides:
  `_deserializeFromArray` in class `CollectionDeserializer`
Throws:
  `IOException`

#### deserializeWithType

    public Object deserializeWithType(JsonParser p,
                                      DeserializationContext ctxt,
                                      TypeDeserializer typeDeserializer)
                               throws IOException

Description copied from class: `StdDeserializer`
Base implementation that does not assume specific type inclusion mechanism. Sub-classes are expected to override this method if they are to handle type information.

Overrides:
  `deserializeWithType` in class `CollectionDeserializer`
  `typeDeserializer` - Deserializer to use for handling type information
Throws:
  `IOException`